// pages/apply/paymentTemplate/paymentTemplate.js
import * as UTIL from '../../../utils/util.js';
import * as API from '../../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    show: false,
    form:{}
  },
  showPopup() {
    this.setData({ show: true });
  },

  onClose() {
    this.setData({ show: false });
  },

  goApproval(){
    wx.navigateTo({
      url: '../approval/approval',
    })
  },
  goSee(){
    wx.navigateTo({
      url: 'see/see',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    var that = this ;
    UTIL.httpRequest(API.URL_GET_APPROVALITEMSBYID + options.id, {method:'GET'}, {
      success: (res) => {
        let transList = res.data.transfers;
        transList.forEach(item => {
          item.num = UTIL.convertToChinaNum(transList.length)
        });
        res.data.transfers = transList
        that.setData({
          form:res.data
        });
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  back:function(){
    wx.navigateBack({
      delta: 1
    })
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})